Package Details: csoundqt 0.9.4-1

Git Clone URL: https://aur.archlinux.org/csoundqt.git (read-only)
Package Base: csoundqt
Description: A frontend for Csound featuring a highlighting editor with autocomplete, interactive widgets and integrated help
Upstream URL: https://csoundqt.github.io/
Keywords: audio compose
Licenses: GPL3
Submitter: rtfreedman
Maintainer: ainola
Last Packager: ainola
Votes: 9
Popularity: 0.000001
First Submitted: 2014-10-06 01:54
Last Updated: 2017-05-25 16:13

Latest Comments

rtfreedman commented on 2015-06-06 16:01

rtmidi should be added to depends()

rtfreedman commented on 2015-03-15 16:23

Now uses RtMidi instead of csound midi modul, see
http://qutecsound.sourceforge.net/pages/develop.html

TrialnError commented on 2015-03-15 02:24

Stuff like the sed commands should be placed into the prepare() function
https://wiki.archlinux.org/index.php/Creating_packages#prepare.28.29

rtfreedman commented on 2014-12-28 21:26

- http://qutecsound.sourceforge.net/release090.html
- added examples to doc dir
- made Examples available in csoundqt
- fixed source to accept DEFAULT_HTML_DIR,
which is set to /usr/share/doc/csound-doc/html
see comments here: https://aur.archlinux.org/packages/csound-doc

ainola commented on 2014-10-17 20:37

I was able to take ownership of csound-doc (took a while to process), so one can enjoy using integrated help dialogues in csoundqt by setting the path to the manuals to /usr/share/doc/csound for easy opcode lookup and whatnot.

anarch.linux commented on 2014-10-06 10:41

i've managed to modify PKGBUILD and successfully built current version (0.8.3) against current csound 6.03 (csound6 in AUR).
anyway, it was just a draft build, i even have not read anything about configuration options at the moment, so planning to update package a bit later.

ainola commented on 2014-10-06 05:56

Hey, thanks for this! I was looking at doing this myself. Good to see that you swooped in with your flowing hair and dashing cape.

xharx commented on 2014-05-18 14:18

with the latest changes the compilation stops after a few seconds on my system.

drkitty commented on 2013-07-05 00:15

The "qt" dependency now needs to be "qt4" (the package was renamed to make room for qt5). Also, "qmake" should be changed to "qmake-qt4".

speps commented on 2011-10-09 23:45

@memeplex Thanks, package updated to use doubles.
Sorry for the long time, but i was trying to add also pythonqt and rtmidi support in qutecsound before updating.
Now rtmidi(with patches to build as a shared library) and pythonqt are on the AUR, working and ready to be used.
Btw, qutecsound build system needs sources to build against, and i had some troubles letting it build against external packages.
So pythonqt and rtmidi support is postponed, until i'll get it to work.

All comments